Subject: Re: bug#61386: [PATCH] cp,mv,install: Disable sparse copy on macOS

From: George Valkov <[email-masked]>
Date: Sat, 11 Feb 2023 03:48:00 +0200

> On 2023-02-11, at 2:48 AM, Paul Eggert <[email-masked]> wrote:
> 
> I want to emphasize the fact that we need to get to the bottom of the SEEK_HOLE / SEEK_DATA situation on macOS. Core programs other than 'cp' use these options, and working around the bug in 'cp' won't fix the bug elsewhere.
> 
> One possibility is to modify Gnulib so that SEEK_HOLE and SEEK_DATA are never used by any Gnulib-using application. This will help somewhat. But not every program uses Gnulib.

Would it help, if I provide access to macOS?

> The bug is really at the macOS level and it needs to get fixed there. Has anyone filed a bug report? (I'm not a macOS user and so can't file one.)

I wrote to [email-masked] on 2021-10-08.
> I have reviewed your report, and we are investigating.
No further replay. I also tried phone and development support.
They are extremely hard to work with.
They always keep us in the dark and never admit to anything.
30 months of repair services, and erasing my data every time.
Perhaps we can try in public here? https://github.com/apple

It helps me value and appreciate working with OpenWRT and you kind people.

Georgi Valkov
httpstorm.com
nano RTOS